hu.akarnokd.rxjava2.debug

## Class RxJavaAssemblyException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - hu.akarnokd.rxjava2.debug.RxJavaAssemblyException

All Implemented Interfaces:
  java.io.Serializable

    public final class RxJavaAssemblyException
    extends java.lang.RuntimeException

Holds onto the assembly stacktrace.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`RxJavaAssemblyException()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.Throwable` `appendLast(java.lang.Throwable ex)` Try appending this RxJavaAssemblyException as the very last cause of the given throwable.
`static java.lang.String` `buildStackTrace()`
`java.lang.Throwable` `fillInStackTrace()`
`static RxJavaAssemblyException` `find(java.lang.Throwable ex)` Tries to locate the RxJavaAssemblyException in the chain of causes of the given Throwable.
`java.lang.String` `stacktrace()` Returns the captured and filtered stacktrace.

### Methods inherited from class java.lang.Throwable

`addSuppressed, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RxJavaAssemblyException

    public RxJavaAssemblyException()

### Method Detail

#### buildStackTrace

    public static java.lang.String buildStackTrace()

#### stacktrace

    public java.lang.String stacktrace()

Returns the captured and filtered stacktrace.

Returns:
  the captured and filtered stacktrace

#### fillInStackTrace

    public java.lang.Throwable fillInStackTrace()

Overrides:
  `fillInStackTrace` in class `java.lang.Throwable`

#### appendLast

    public java.lang.Throwable appendLast(java.lang.Throwable ex)

Try appending this RxJavaAssemblyException as the very last cause of the given throwable.

Parameters:
  `ex` - the Throwable to append to
Returns:
  ex

#### find

    public static RxJavaAssemblyException find(java.lang.Throwable ex)

Tries to locate the RxJavaAssemblyException in the chain of causes of the given Throwable.

Parameters:
  `ex` - the Throwable to start scanning
Returns:
  the RxJavaAssemblyException found or null